;
;
;
;           CODE: THE WHITE KNIGHT
;       COMPUTER: AMIGA 4000/030/25Mhz/14Mb RAM
;      ASSEMBLER: SASM: 1.81
;         EDITOR: CygnusEd Professional V3.5
;    OTHER TOOLS: BRILLIANCE, CYBERFONT, BINCON, PICCON, 1084S Monitor
;          MUSIC: The Doctor & drivers by His Assistant
;           FONT: Anthrox FONT collection! given to my by ICE
;    Happy faces: Red Devil/DCS
;           LOGO: DEADLOCK
;
; HARDWARE TOOLS: SUPER MAGICOM from FRONT FAREAST
;                 AMIGA <-> SUPER MAGICOM TRANSFER CABLE
;                 YES! all Hobbyists tools!  No need to pay $8,000.00 or
;                 whatever the other commercial tools cost
;
; for more info, EMAIL: ANTIROX@TNP.COM
;
;
;
;


****************************************************************************
**
**	This is the unchanged, really first sourccode which has been
**	assembled by SASM 68030 (Amiga) during development.
**
**	Included only for historical reasons...
**
**	 1992 by Florian W Sauer
** 
****************************************************************************

	heap	O=128k			;max 128k object buffer
UnpackBuffr	EQU	$7e8000		;Destination Adress for Depacking
lobyte	EQU	$0100
hibyte	equ	$0101
work	equ	$0102	; PLASMA SINE OFFSET - VERTICAL
work_1	equ	$0103
psine	equ	$0104	; PLASMA SINE OFFSET - HORIZONTAL
psine_1	equ	$0105
logo_w	equ	$0106	; LOGO shake register
logo_w1	equ	$0107
scrlofl	equ	$0108	; Scroll text offset
scrlofh	equ	$0109
sbouncw equ	$010a	; Scroll Bounce offset
sbouncl equ	$010b
sprsine	equ	$010c	; Sprite Char
sprsinh	equ	$010d
sprpri	equ	$010e	; Sprite priority
sprpaus	equ	$010f	; pause counter
sprwhre	equ	$0110	; which sprite routine
sprwhrh	equ	$0111	
sprtext	equ	$0112	; Sprite text pointer
sprtxth	equ	$0113
numram	equ	$0114	; Sprite text message in RAM
smiley	equ	$0140	; SMiley position counter
smileyh	equ	$0141
smileyd equ	$0142	; Smiley anim delay
hdma2lo equ	$0143	; Scroll SHAKE
hdmalo1	equ	$0144	; SCROLL X LOCATOR
hdmslo2	equ	$0145
bally	equ	$0146	; bally y val
ballx	equ	$0147	; ballx x val
jballc	equ	$0148	; ball character
jballp	equ	$0149	; smiley priority
pad1lo	equ	$014a	; JOYPAD 1 LOW BYTE
pad1hi	equ	$014b	; JOYPAD 1 HI  BYTE
scrldmp	equ	$0200	; Scroll DISPLAY map
scrldmc	equ	$0300	; Scroll DISPLAY character

HDMA1	equ	$0400
HDMA2	equ	$0700
HDMA3	equ	$0720
HDMA4	equ	$0e00











	SMC+				;yes, we want a smc header
	lrom				;yes, please split in 32k hunks

game	dc.b	$a9,$0,$48,$ab
	dc.b	$5c,$00,$08,00
	sei
	phk
	plb
	clc
	xce
	   SEP #$30
           LDA #$8F
           STA $2100
           LDA #$01
           STA $2101
           LDA #$00
           STA $2102
           STA $2103
           LDA #$01
           STA $2105
           LDA #$00
           STA $2106
           LDA #$01
           STA $2107
           LDA #$11
           STA $2108
           LDA #$7A
           STA $2109
           LDA #$79
           STA $210A
           LDA #$00
           STA $210B
           LDA #$77
           STA $210C
           LDA #$00
           STA $210D
           STA $210D
           STA $210E
           STA $210E
           STA $210F
           STA $210F
           STA $2110
           STA $2110
           STA $2111
           STA $2111
           STA $2112
           STA $2112
           STA $2113
           STA $2113
           STA $2114
           STA $2114
           LDA #$80
           STA $2115
           LDA #$00
           STA $2116
           STA $2117
           STA $211A
           STA $211B
           LDA #$01
           STA $211B
           LDA #$00
           STA $211C
           STA $211C
           STA $211D
           STA $211D
           STA $211E
           LDA #$01
           STA $211E
           LDA #$00
           STA $211F
           STA $211F
           STA $2120
           STA $2120
           STA $2121
           STA $2123
           STA $2124
           STA $2125
           STA $2126
           STA $2127
           STA $2128
           STA $2129
           STA $212A
           STA $212B
           LDA #$01
           STA $212C
           LDA #$00
           STA $212D
           LDA #$00
           STA $212E
           STA $212F
           LDA #$30
           STA $2130
           LDA #$00
           STA $2131
           LDA #$E0
           STA $2132
           LDA #$00
           STA $2133
           LDA #$00
           STA $4200
           LDA #$FF
           STA $4201
           LDA #$00
           STA $4202
           STA $4203
           STA $4204
           STA $4205
           STA $4206
           STA $4207
           STA $4208
           STA $4209
           STA $420A
           STA $420B
           STA $420C
           STA $420D
           PLP

main:	rep	#$30	; X,Y,A fixed -> 16 bit mode
	sep	#$20	; Accumulator ->  8 bit mode
	lda	#$01
	sta	$4200


	jsr init_musax
	phk
	plb
	rep #$30
	sep #$20

	jsr screen
	ldx #$00
clsram	stz $0100,x
	inx
	cpx #$1eff
	bne clsram



	ldx #$7b00
	stx hdmalo1

	
	jsr HDMA
	jsr vrtb
	jsr sinus
	jsr preplasma
	lda #$0f
	sta $2100
	ldx #$00
	stx work
	stx psine
	stx logo_w
	lda #$10
	sta sprpri
	ldx #$60
	stx sprtext

	ldx #sprtram	;message
	stx sprwhre
	jsr sprtram

forever: jsr vrtb 
	 jsr joypad
	 jsr logoshake
	 jsr scrollppu
	ldx #$00
	 jsr (sprwhre,x)
	 jsr smileyppu
	 jsr ballppu
contall	 jsr sbounce
	 jsr plasma
	 jsr scrollram
	 jsr smileyram
	lda pad1hi
	and #$80
	beq forever

	lda #$8f
	sta $2100
	stz $420c
	stz $212d
	lda #$12
	sta $212c
	stz $210f
	stz $210f

	stz $2121
	ldx #$00
eyecolr	lda EYES,x
	sta $2122
	inx
	cpx #$20
	bne eyecolr

	lda #$80
	sta $2115



	ldx #$2000
	stx $2116
	jsr cls

	ldx #$4000
	stx $2116
	ldx #$1800
	ldy #$00
	sty sprtext
eyegfx	lda $7e8000,x
	sta $2118
	inx
	lda $7e8000,x
	sta $2119
	inx
	iny
	cpy #5000
	bmi eyegfx

	ldx #$7860
	stx $2116
	ldx #$00
eyemapp	lda eyemap,x
	sta $2118
	stz $2119
	inx
	cpx #$2c0
	bne eyemapp

	jsr killspr
	ldx #sprtram	;message
	stx sprwhre
	ldx #$00
	stx sprsine
	jsr sprtram

	lda #$0f
	sta $2100
forever2	
	jsr vrtb 
	jsr joypad
	ldx #$00
	 jsr (sprwhre,x)
;	 jsr smileyppu
;	 jsr smileyram
	ldx sprtext
	cpx #$78
	bpl startjump
	lda pad1hi
	and #$40
	beq forever2

startjump
	lda #$8f
	sta $2100
	lda #$ff
	sta $2140
	sta $2141
	sta $2142
	sta $2143
	STZ $212C
	STZ $212D
	STZ $420C
	jsr vrtb
	sep #$30
	clc
	xce
	jmp game










	rep #$30
	sep #$20
joypad	lda	$4212
	and	#$01
	bne	joypad
        lda     $4219
        sta     pad1hi		; register
        lda     $4218
        sta     pad1lo		; register
	RTS


sprtram	ldx sprtext
	ldy #$00
ramsg	lda numbers,x
	sec
	sbc #$20
	sta numram,y
	inx
	iny
	cpy #24
	bne ramsg
	lda numbers,x
	bne noramst
	ldx #$60
noramst	stx sprtext
	ldx #message
	stx sprwhre
	rts

message LDX #$00
        STX $2102
        LDX sprsine
	ldy #$00
SPRSTM  lda lettertable,y
	STa $2104
	lda lettersine,x
	cmp #111
	bne noy
	lda #110
noy     STa $2104
	lda numram,y
	sta $2104
	lda sprpri
;	ora #$10
	sta $2104
        INX
	iny
        CPy #24
        BNE SPRSTM
	ldx sprsine
	inx
	lda lettersine,x
	cmp #111
	bne nonext
	ldx #centerpause
	stx sprwhre
	ldx #$00
nonext	stx sprsine
	rts

smileyram
	inc smileyd
	lda smileyd
	cmp #$05
	bne strtsml
	stz smileyd
	inc smiley	; SMILEY SECTION
	lda smiley
	cmp #12
	bmi strtsml
	stz smiley
strtsml RTS


smileyppu
	ldx #48
	stx $2102
	ldy work
smily1	lda sinusdata,y
	cmp #$ff
	bne smil1ok
	ldy #$00
	jmp smily1
smil1ok	lsr a
	clc
	adc #64
	sta $2104
	sta ballx
	ldy psine
smily1b	lda sinusdatah,y
	cmp #$ff
	bne smil1bk
	ldy #$00
	jmp smily1b
smil1bk	lsr a
	clc
	adc #46
	sta $2104
	sta bally
	ldx smiley
	lda coolc,x
	sta $2104
	sta jballc
	lda coolp,x	;#$24		;coolp,x
	sta $2104

	lda ballx
	eor #$ff
	sta $2104
	lda bally
	sta $2104
	lda jballc
	sta $2104
	lda coolp,x		;#$24
	sta $2104


	ldy psine
smily2	lda sinusdatah,y
	cmp #$ff
	bne smil2ok
	ldy #$00
	jmp smily2
smil2ok	lsr a
	clc
	adc #64
	sta $2104
	sta ballx
	ldy work
smily2b	lda sinusdata,y
	cmp #$ff
	bne smil2bk
	ldy #$00
	jmp smily2b
smil2bk	lsr a
	clc
	adc #46
	sta $2104
	sta bally
	ldx smiley
	lda coolc,x
	sta $2104
	sta jballc
	lda coolp,x
	sta $2104

	lda ballx
	eor #$ff
	sta $2104
	lda bally
	sta $2104
	lda jballc
	sta $2104
	lda coolp,x	;#$24
	sta $2104

	rts

ballppu	ldy psine
jare	lda sinusdatah,y
	cmp #$ff
	bne jareok
	ldy #$00
	jmp jare
jareok	sta $2104
	sta ballx
	ldy work
jareb	lda sinusdata,y
	cmp #$ff
	bne jarebk
	ldy #$00
	jmp jareb
jarebk	lsr a
	lsr a
	clc
	adc #$90
	sta $2104
	sta bally
	ldx smiley
	lda jarec,x
	sta $2104
	sta jballc
	lda #$26
	sta $2104

	lda ballx
	eor #$ff
	sta $2104
	lda bally
	sta $2104
	lda jballc
	sta $2104
	lda #$26
	sta $2104


	ldy work
jare2	lda sinusdata,y
	cmp #$ff
	bne jareok2
	ldy #$00
	jmp jare2
jareok2	sta $2104
	sta ballx
	ldy psine
jareb2	lda sinusdatah,y
	cmp #$ff
	bne jarebk2
	ldy #$00
	jmp jareb2
jarebk2	lsr a
	lsr a
	clc
	adc #$90
	sta $2104
	sta bally
	ldx smiley
	lda jarec,x
	sta $2104
	sta jballc
	lda #$26
	sta $2104

	lda ballx
	eor #$ff
	sta $2104
	lda bally
	sta $2104
	lda jballc
	sta $2104
	lda #$26
	sta $2104


	ldy work
jare3	lda sinusdata,y
	cmp #$ff
	bne jareok3
	ldy #$00
	jmp jare3
jareok3	sta $2104
	sta ballx
	lda sinusdata,y
	lsr a
	lsr a
	clc
	adc #$90
	sta $2104
	sta bally
	ldx smiley
	lda bobc,x
	sta $2104
	sta jballc
	lda #$26
	sta $2104

	lda ballx
	eor #$ff
	sta $2104
	lda bally
	sta $2104
	lda jballc
	sta $2104
	lda #$28
	sta $2104

	lda ballx
	lsr a
	sta $2104
	lda bally
	sta $2104
	lda jballc
	sta $2104
	lda #$28
	sta $2104

	lda ballx
	lsr a
	clc
	adc #128
	sta $2104
	lda bally
	sta $2104
	lda jballc
	sta $2104
	lda #$28
	sta $2104

	ldy psine
jare4	lda sinusdatah,y
	cmp #$ff
	bne jareok4
	ldy #$00
	jmp jare4
jareok4	sta $2104
	sta ballx
	lda sinusdatah,y
	lsr a
	lsr a
	clc
	adc #$90
	sta $2104
	sta bally
	ldx smiley
	lda bobc,x
	sta $2104
	sta jballc
	lda #$26
	sta $2104

	lda ballx
	eor #$ff
	sta $2104
	lda bally
	sta $2104
	lda jballc
	sta $2104
	lda #$28
	sta $2104

	lda ballx
	lsr a
	clc
	adc #128
	sta $2104
	lda bally
	sta $2104
	lda jballc
	sta $2104
	lda #$28
	sta $2104

	lda ballx
	lsr a
	sec
	sbc #192
	sta $2104
	lda bally
	sta $2104
	lda jballc
	sta $2104
	lda #$28
	sta $2104

	rts




messag2 LDX #$00
        STX $2102
        LDX sprsine
	ldy #$00
SPRSTM2 lda lettertable,y
	STa $2104
	lda lettersine2,x
	cmp #-9
	bne noy2
	lda #$f8
noy2    STa $2104
	lda numram,y
	sta $2104
	lda sprpri
;	ora #$10
	sta $2104
        INX
	iny
        CPy #24
        BNE SPRSTM2
	ldx sprsine
	inx
	lda lettersine2,x
	cmp #-9
	bne nonext2
	ldx #sprtram
;	ldx #message
	stx sprwhre
	lda sprpri
	eor #$20
	ora #$10
	sta sprpri
	ldx #$00
nonext2	stx sprsine
	rts

centerpause	inc sprpaus
		lda sprpaus
		cmp #$80
		bne stillpause
		stz sprpaus
		ldx #messag2
		stx sprwhre
		ldx #$00
		stx sprsine
stillpause	rts


lettertable
 dc.b $20,$28,$30,$38,$40,$48,$50,$58,$60,$68,$70,$78
 dc.b $80,$88,$90,$98,$a0,$a8,$b0,$b8,$c0,$c8,$d0,$d8
lettersine
 dc.b -8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8
 dc.b -8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8
 dc.b  -8,-8,-8,-7,-7,-7,-6,-5,-4,-3,-2,-1,0,2,3,5,7,8,10,12,14,16
 dc.b  18,21,23,25,28,30,33,35,38,40,43,46,48,51,54,56,59,62,64,67
 dc.b  69,72,74,77,79,81,84,86,88,90,92,94,95,97,99,100,102,103,104
 dc.b  105,106,107,108,109,109,109,110,111
 dc.b  111,111,111,111,111,111,111,111,111,111,111,111,111,111,111
 dc.b  111,111,111,111,111,111,111,111,111,111,111,111,111,111,111
lettersine2
 dc.b  110,110,110,110,110,110,110,110,110,110,110,110,110,110,110
 dc.b  110,110,110,110,110,110,110,110,110,110,110,110,110,110,110
 dc.b  110,110,110,109,109,109,108,107,106,105,104,103,102,100,99
 dc.b  97,95,94,92,90,88,86,84,81,79,77,74,72,69,67,64,62,59,56,54
 dc.b  51,48,46,43,40,38,35,33,30,28,25,23,21,18,16,14,12,10,8,7,5
 dc.b  3,2,0,-1,-2,-3,-4,-5,-6,-7,-7,-7,-8
 dc.b -9,-9,-9,-9,-9,-9,-9,-9,-9,-9,-9,-9,-9,-9,-9
 dc.b -9,-9,-9,-9,-9,-9,-9,-9,-9,-9,-9,-9,-9,-9,-9








scrolprtn rts
scrollppu inc hdma2lo
	  inc HDMA2+4
	  inc HDMA2+4
	  lda hdma2lo
	  cmp #$10
	  bne scrolprtn
	  stz hdma2lo
	
	lda HDMA2+4
	cmp #$00
	bne nohibit
	lda HDMA2+5
	eor #$01
	sta HDMA2+5

nohibit	ldx #$00
	rep #$30
	lda hdmalo1	
	sta $2116
	sep #$20
	jsr printfour

	rep #$30
	lda hdmalo1
	clc
	adc #$20
	sta $2116
	sep #$20
	jsr printfour

	rep #$30
	lda hdmalo1
	clc
	adc #$40
	sta $2116
	sep #$20
	jsr printfour

	rep #$30
	lda hdmalo1
	clc
	adc #$60
	sta $2116
	sep #$20
	jsr printfour

	rep #$30
	lda hdmalo1
	clc
	adc #$04
	sta hdmalo1
	cmp #$7b20
	bne page1
	lda #$7f00
	jmp hdmalo1com
page1	cmp #$7f20
	bne hdmalo1end
	lda #$7b00
hdmalo1com
	sta hdmalo1
hdmalo1end
	sep #$20
	rts

printfour ldy #$00
	rep #$30
printfrlp lda scrldmc,x
	  ora #$3c00
	  sta $2118
	  iny
	  inx
	  inx
	  cpy #$04
	  bne printfrlp
	sep #$20
	  rts 
	  
sbounce  ldx sbouncw
	 lda bouncesin,x
	 sta HDMA3+4
	 inx
	 lda bouncesin,x
	 cmp #255
	 bne nosbrest
	 ldx #$00
nosbrest stx sbouncw
	 rts

bouncesin
 dc.b  0,3,5,7,10,12,15,17,19,21,24,25,27,29,31,32,34,35,36,37,38
 dc.b  39,39,40,40,40,40,40,39,39,38,37,36,35,34,32,31,29,27,25,24
 dc.b  21,19,17,15,12,10,7,5,3
 dc.b  0,0,1,2,3,5,7,9,11,14,17,19,22,25,27,30,32,34,36,38,39,40,40
 dc.b  40,40,39,38,36,34,32,30,27,25,22,19,17,14,11,9,7,5,3,2,1,0
 dc.b  0,0,0,1,1,2,3,4,5,7,8,10,11,13,15,16,18,20,22,23,25,27,28,30
 dc.b  31,32,33,34,35,36,36,37,37,37,37,36,36,35,34,33,32,31,30,28
 dc.b  27,25,23,22,20,18,16,15,13,11,10,8,7,5,4,3,2,1,1,0,0
 dc.b 255

scrolrrtn rts
scrollram lda hdma2lo
	  cmp #$00
	  bne scrolrrtn

ramit	ldx scrlofl
	lda scrolltext,x
	sec
	sbc #$20
	rep #$30
	and #$ff
	asl a
	asl a
	asl a
	asl a
	asl a
	tax
	ldy #$00
crap	lda charmap,x
	ora #$3c00
	sta scrldmc,y
	inx
	inx
	iny
	iny
	cpy #$20
	bmi crap
	sep #$20
	ldx scrlofl
	inx
	lda scrolltext,x
	cmp #$00
	bne norrst
	ldx #$00
norrst	stx scrlofl
	rts

logoshake ldx logo_w
	  lda logosine,x
	  sta HDMA2+1
	inx
	lda logosine,x
	cmp #$ff
	bne nolxrst
	ldx #$00
nolxrst	stx logo_w
	rts

logosine
 dc.b  0,0,0,0,1,1,1,2,2,3,4,5,5,6,7,8,9,11,12,13,14,16,17,18,20,21
 dc.b  23,24,26,27,29,30,32,34,35,37,38,40,41,43,44,46,47,48,50,51
 dc.b  52,53,55,56,57,58,59,59,60,61,62,62,63,63,63,64,64,64,64,64
 dc.b  64,64,63,63,63,62,62,61,60,59,59,58,57,56,55,53,52,51,50,48
 dc.b  47,46,44,43,41,40,38,37,35,34,32,30,29,27,26,24,23,21,20,18
 dc.b  17,16,14,13,12,11,9,8,7,6,5,5,4,3,2,2,1,1,1,0,0,0
 dc.b 255


preplasma
	ldx #$301f
	stx $2116
	ldx #$00
	lda #$20
psinlp	sta $2119
	inx
	cpx #$21
	bne psinlp
	ldx #$341f
	stx $2116
	ldx #$00
	lda #$20
psinlp2	sta $2119
	inx
	cpx #$21
	bne psinlp2
	rts

plasma	stz $2115
sinus	ldx #$301f
	stx $2116
	ldx work
	ldy #$00
sinusl	lda sinusdata,x
	cmp #$ff
	bne sinusok
	ldx #$00
	jmp sinusl
sinusok	sta $2118
	inx
	iny
	cpy #$21
	bne sinusl
	phx
	ldx #$341f
	stx $2116
	plx
	dex
	ldy #$00
sinuslr	lda sinusdata,x
	cmp #$ff
	bne sinurok
	ldx #$00
	jmp sinuslr
sinurok	sta $2118
	inx
	iny
	cpy #$21
	bne sinuslr
	ldx work
	inx
	lda sinusdata,x
	cmp #$ff
	bne norwork
	ldx #00
norwork	stx work
hsinus	ldx psine
	ldy #$00
hsinusl	lda sinusdatah,x
	cmp #$ff
	bne hsinok
	ldx #$00
	jmp hsinusl
hsinok	sta HDMA1+1,y
	iny
	iny
	iny
	inx
	cpy #$2ff
	bmi hsinusl
	ldx psine
	inx
	lda sinusdatah,x
	cmp #$ff
	bne norwrkh
	ldx #00
norwrkh	stx psine
	lda #$80
	sta $2115
	rts




vrtb:	lda	$4210
	and	#$80
	cmp	#$00
	beq	vrtb
	rts

videocls
	ldx #00
	stx $2116
cls	stz $2118
	stz $2119
	inx
	cpx #$8000
	bne cls
	rts

screen:	lda #$8f	; SCREEN OFF
	sta $2100

	lda #$39	; Plane 1 TILES @ $3800
	sta $2107
	lda #$79	; Plane 2 Tiles @ $7800
	sta $2108
	lda #$42	; Plane 1 GFX @ $2000
	sta $210b	; Plane 2 GFX @ $4000
	lda #$02
	sta $2105

	lda #$31	; plasma shake @ $3000
	sta $2109

	lda #$03
	sta $212c

	lda #$1B
	sta $2123
	lda #$08
	sta $2126
	lda #$f8
	sta $2127
	lda #$03
	sta $212e

        lda #$02
        sta $2130
        lda #$01
        sta $2131
        lda #$e0
        sta $2132
        lda #$10
        sta $212d

	jsr videocls

	stz $2121
	ldx #$00
palette lda colors,x
	sta $2122
	inx
	lda colors,x
	sta $2122
	inx
	cpx #$1f0
	bmi palette

	ldx #$2000
	stx $2116
	ldx #$00
gfx	lda char,x
	sta $2118
	inx
	lda char,x
	sta $2119
	inx
	cpx #$40
	bmi gfx

	ldx #$3800
	stx $2116
	ldx #$00
charbar	jsr zero
	inx
	cpx #$20
	bne charbar

	ldx #$3c00
	stx $2116
	ldx #$00
charbr	jsr zero
	inx
	cpx #$20
	bne charbr


	ldx #$4000
	stx $2116
	ldx #$00
logog	lda $7ea3a6,x
	sta $2118
	inx
	lda $7ea3a6,x
	sta $2119
	inx
	cpx #17760	;5696
	bmi logog

	ldx #$7820
	stx $2116
	ldx #$00
logom	lda logomap,x
	rep #$30
	and #$ff
	clc
	adc #334		;77
	sep #$20
	sta $2118
	xba
	ora #$38
	sta $2119
	inx
	cpx #384
	bmi logom

	ldx #$7c20
	stx $2116
	ldx #$00
	txy
logomr	lda logomapr,x
	rep #$30
	and #$ff
	clc
	adc #334		;377
	sep #$20
	sta $2118
	xba
	ora #$38
	sta $2119
	iny
	cpy #$08
	bne nologoy
	ldy #$00
spaceit	stz $2118
	stz $2119
	iny
	cpy #$18
	bne spaceit
	ldy #$00
nologoy inx
	cpx #$60
	bne logomr

	ldx	#moredata	; CRUNCHED FILE
	stx	$65
;	lda	#^moredata	; CRUNCHED FILE BANK
	phk
	pla
	sta	$67
	ldx	#UnpackBuffr		; LOW WORD UNPACK BUFFER
	stx	$68
	lda	#^UnpackBuffr		; UNPACK BUFFER BANK
	pha
	plb
	jsr	UNPACK				;Requires A[8] XY[16]
	phk
	plb
	rep #$30
	sep #$20


	ldx #$00
	stx $2116
       LDX #$00		;909-595-1403
SPRTm  LDA $7e8000,X
        STA $2118
        INX
        LDA $7e8000,X
        STA $2119
        INX
        CPX #$1c00
        BMI SPRTm


killspr lda #$00
        STa $2101
        LDX #$00
        STX $2102
        LDX #$00
	lda #$e8
SPRST:  STa $2104
        STa $2104
        STz $2104
        STz $2104
	INX
        CPX #128
        BNE SPRST


        ldx #$00
sprbl   stz $2104
        stz $2104
        inx
        cpx #32
        bne     sprbl


	ldx #64
	stx $2102

	ldx #259
	stx $2102
	lda #$aa
	sta $2104
	sta $2104
	sta $2104
	sta $2104
	rts


coolx dc.b $20,$30,$40,$50,$60,$70,$80,$90,$a0,$b0,$c0,$d0
cooly dc.b $98,$98,$98,$98,$98,$98,$98,$98,$98,$98,$98,$98
coolc dc.b $48,$4a,$4c,$4e,$4c,$4a,$48,$4a,$4c,$4e,$4c,$4a
coolp dc.b $24,$24,$24,$24,$a4,$a4,$a4,$e4,$e4,$64,$64,$64

jarec dc.b $68,$6a,$6c,$6e,$88,$8a,$8a,$88,$6e,$6c,$6a,$68

bobc  dc.b $a0,$a2,$a4,$a6,$a8,$aa,$aa,$a8,$a6,$a4,$a2,$a0


	;$20,$30,$40,$50,$20,$30,$40,$50,$1c,$2c,$1c,$1c  SMILEY
	;$98,$98,$98,$98,$a8,$a8,$a0,$a8,$b8,$b8,$c1,$d0
	;$40,$42,$44,$46,$60,$62,$54,$66,$70,$72,$80,$84



zero	ldy #$00
zerolp	lda chartype
	cmp #$00
	bne chtype2
	lda lobytetable1,x
	sta $2118
	lda hibytetable1,x
	sta $2119
	jmp zerocom
chtype2	cmp #$01
	bne chtype3
	lda lobytetable2,x
	sta $2118
	lda hibytetable2,x
	sta $2119
	jmp zerocom
chtype3	CMP #$02
	BNE chtype4
	lda lobytetable3,x
	sta $2118
	lda hibytetable3,x
	sta $2119
	jmp zerocom
chtype4	CMP #$03
	BNE chtype5
	lda lobytetable4,x
	sta $2118
	lda hibytetable4,x
	sta $2119
	jmp zerocom
chtype5	lda lobytetable5,x
	sta $2118
	lda hibytetable5,x
	sta $2119
	jmp zerocom
zerocom	iny
	cpy #$20
	bne zerolp
	rts

lobytetable1	dc.b $00,$01,$00,$00,$01,$00	; BLUE  
		dc.b $01,$00,$01,$01,$00,$01	; RED
		dc.b $00,$01,$00,$00,$01,$00	; GREEN
		dc.b $01,$00,$01,$01,$00,$01	; YELLOW
		dc.b $01,$00,$01,$01,$01,$01,$00,$01	; RED
hibytetable1	dc.b $00,$00,$04,$84,$80,$80	; BLUE
		dc.b $04,$08,$08,$88,$88,$84	; RED
		dc.b $0c,$0c,$10,$90,$8c,$8c	; GREEN
		dc.b $10,$14,$14,$94,$94,$90	; YELLOW
		dc.b $04,$08,$08,$08,$88,$88,$88,$84	; RED

lobytetable2	dc.b $00,$01,$00,$00,$01,$00	; BLUE  
		dc.b $00,$01,$00,$00,$01,$00	; GREEN
		dc.b $01,$00,$01,$01,$00,$01	; RED
		dc.b $00,$01,$00,$00,$00,$00,$01,$00	; BLUE  
		dc.b $01,$00,$01,$01,$00,$01	; RED

hibytetable2	dc.b $00,$00,$04,$84,$80,$80	; BLUE
		dc.b $0c,$0c,$10,$90,$8c,$8c	; GREEN
		dc.b $04,$08,$08,$88,$88,$84	; RED
		dc.b $00,$00,$04,$04,$84,$84,$80,$80	; BLUE
		dc.b $04,$08,$08,$88,$88,$84	; RED
lobytetable3	dc.b $00,$01,$00,$00,$01,$00	; GREEN
		dc.b $01,$00,$01,$01,$00,$01	; YELLOW
		dc.b $00,$01,$00,$00,$00,$00,$01,$00	; GREEN
		dc.b $01,$00,$01,$01,$00,$01	; RED
		dc.b $00,$01,$00,$00,$01,$00	; GREEN


hibytetable3	dc.b $0c,$0c,$10,$90,$8c,$8c	; GREEN
		dc.b $10,$14,$14,$94,$94,$90	; YELLOW
		dc.b $0c,$0c,$10,$10,$90,$90,$8c,$8c	; GREEN
		dc.b $04,$08,$08,$88,$88,$84	; RED
		dc.b $0c,$0c,$10,$90,$8c,$8c	; GREEN

lobytetable4	dc.b $00,$01,$00,$00,$01,$00	; BLUE  
		dc.b $01,$00,$01,$01,$00,$01	; YELLOW
		dc.b $00,$01,$00,$00,$01,$00	; GREEN
		dc.b $01,$00,$01,$01,$00,$01	; YELLOW
		dc.b $00,$01,$00,$00,$00,$00,$01,$00	; GREEN
hibytetable4	dc.b $00,$00,$04,$84,$80,$80	; BLUE
		dc.b $10,$14,$14,$94,$94,$90	; YELLOW
		dc.b $0c,$0c,$10,$90,$8c,$8c	; GREEN
		dc.b $10,$14,$14,$94,$94,$90	; YELLOW
		dc.b $0c,$0c,$10,$10,$90,$90,$8c,$8c	; GREEN

lobytetable5	dc.b $00,$01,$00,$00,$01,$00	; BLUE  
		dc.b $01,$00,$01,$01,$00,$01	; RED
		dc.b $01,$00,$01,$01,$00,$01	; YELLOW
		dc.b $01,$00,$01,$01,$01,$01,$00,$01	; RED
		dc.b $01,$00,$01,$01,$00,$01	; YELLOW
hibytetable5	dc.b $00,$00,$04,$84,$80,$80	; BLUE
		dc.b $04,$08,$08,$88,$88,$84	; RED
		dc.b $10,$14,$14,$94,$94,$90	; YELLOW
		dc.b $04,$08,$08,$08,$88,$88,$88,$84	; RED
		dc.b $10,$14,$14,$94,$94,$90	; YELLOW




		

colors:
; dcr.w %000000000000000
; dcr.w %000010000000000
; dcr.w %000100000000000
; dcr.w %000110000000000
 dcr.w %001000000000000
 dcr.w %001010000000000
 dcr.w %001100000000000
 dcr.w %001110000000000

 dcr.w %010000000000000
 dcr.w %010010000000000
 dcr.w %010100000000000
 dcr.w %010110000000000
 dcr.w %011000000000000
 dcr.w %011010000000000
 dcr.w %011100000000000
 dcr.w %011110000000000
 dcr.w %100000000000000
 dcr.w %100010000000000
 dcr.w %100100000000000
 dcr.w %100110000000000
 dcr.w %101000000000000
 dcr.w %101010000000000
 dcr.w %101100000000000
 dcr.w %101110000000000
 dcr.w %110000000000000
 dcr.w %110010000000000
 dcr.w %110100000000000
 dcr.w %110110000000000
 dcr.w %111000000000000
; dcr.w %111010000000000
; dcr.w %111100000000000
; dcr.w %111110000000000
; dcr.w %111110000000000



; dcr.w %000000000000001
; dcr.w %000000000000010
; dcr.w %000000000000011
; dcr.w %000000000000100
 dcr.w %000000000000101
 dcr.w %000000000000110
 dcr.w %000000000000111
 dcr.w %000000000001000

 dcr.w %000000000001001
 dcr.w %000000000001010
 dcr.w %000000000001011
 dcr.w %000000000001100
 dcr.w %000000000001101
 dcr.w %000000000001110
 dcr.w %000000000001111
 dcr.w %000000000010000
 dcr.w %000000000010001
 dcr.w %000000000010010
 dcr.w %000000000010011
 dcr.w %000000000010100
 dcr.w %000000000010101
 dcr.w %000000000010110
 dcr.w %000000000010111
 dcr.w %000000000011000
 dcr.w %000000000011001
 dcr.w %000000000011010
 dcr.w %000000000011011
; dcr.w %000000000011100
; dcr.w %000000000011101
; dcr.w %000000000011110
; dcr.w %000000000011111





; dcr.w %000000000000000
; dcr.w %000000000100000
; dcr.w %000000001000000
; dcr.w %000000001100000
 dcr.w %000000010000000
 dcr.w %000000010100000
 dcr.w %000000011000000
 dcr.w %000000011100000
 
 dcr.w %000000100000000
 dcr.w %000000100100000
 dcr.w %000000101000000
 dcr.w %000000101100000
 dcr.w %000000110000000
 dcr.w %000000110100000
 dcr.w %000000111000000
 dcr.w %000000111100000
 dcr.w %000001000000000
 dcr.w %000001000100000
 dcr.w %000001001000000
 dcr.w %000001001100000
 dcr.w %000001010000000
 dcr.w %000001010100000
 dcr.w %000001011000000
 dcr.w %000001011100000
 dcr.w %000001100000000
 dcr.w %000001100100000
 dcr.w %000001101000000
 dcr.w %000001101100000
 dcr.w %000001110000000
; dcr.w %000001110100000
; dcr.w %000001111000000
; dcr.w %000001111100000
; dcr.w %000001111100000

; dcr.w %000000100001000




; dcr.w %000000000000000
; dcr.w %000000000100001
; dcr.w %000000001000010
; dcr.w %000000001100011
 dcr.w %000000010000100
 dcr.w %000000010100101
 dcr.w %000000011000110
 dcr.w %000000100001000

 dcr.w %000000100101001
 dcr.w %000000101001010
 dcr.w %000000101101011
 dcr.w %000000110001100
 dcr.w %000000110101101
 dcr.w %000000111001110
 dcr.w %000000111101111
 dcr.w %000001000010000
 dcr.w %000001000110001
 dcr.w %000001001010010
 dcr.w %000001001110011
 dcr.w %000001010010100
 dcr.w %000001010110101
 dcr.w %000001011010110
 dcr.w %000001011110111
 dcr.w %000001100011000
 dcr.w %000001100111001
 dcr.w %000001101011010
 dcr.w %000001101111011
; dcr.w %000001110011100
; dcr.w %000001110111101
; dcr.w %000001111011110
; dcr.w %000001111111111
; dcr.w %000001111111111
; dcr.w 0
 ;bin logo.col
 dc.b	$00,$00,$08,$40,$0A,$50,$0C,$60,$0E,$70,$50,$78,$D2,$78,$54,$79
 dc.b	$D6,$79,$88,$00,$0C,$01,$90,$01,$16,$02,$DA,$02,$DE,$03,$DE,$7B 

 ;bin brushed.col
 dc.b	$00,$00,$DE,$7B,$9A,$73,$58,$6B,$16,$63,$12,$5B,$D0,$5A,$8E,$52
 dc.b	$4C,$4A,$0A,$42,$C8,$39,$86,$31,$86,$29,$44,$29,$02,$21,$C2,$18 

 ;bin font.col
 dc.b	$00,$00,$4A,$39,$CE,$49,$94,$62
 dc.b	$00,$00,$4A,$39,$CE,$49,$94,$62
 dc.b	$00,$00,$4A,$39,$CE,$49,$94,$62
 dc.b	$00,$00,$4A,$39,$CE,$49,$94,$62

; coolst
 dc.w $9C73,$1863,$9452,$1042,$8C31,$4A29,$C618,$4208
 dc.w $9E73,$1E63,$9E52,$1C42,$9831,$1421,$9010,$0C00 

; Smiley
 dc.w $4001,$DE03,$1002,$0000,$0000,$0000,$0000,$0000
 dc.w $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000

;bebob
 dc.w $0000,$0020,$4230,$8438,$C640,$0849,$8C59,$526A
 dc.w $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000

; jarrebobs
 dc.w $0000,$8410,$C618,$0821,$8C31,$CE39,$1042,$9452
 dc.w $0000,$0000,$0000,$0000,$0000,$0000,$0000,$0000

EYES
 dc.w $0000,$1E00,$1000,$0000,$0000,$0000,$0000,$0000
 dc.w $0000,$0821,$8C31,$524A,$9452,$5A6B,$9C73,$DE7B 



 
char:	
 dc.b $ff,$00
 dc.b $00,$ff
 dc.b $ff,$ff
 dc.b $00,$00
 dc.b $ff,$00
 dc.b $00,$ff
 dc.b $ff,$ff
 dc.b $00,$00
 dc.b $00,$00
 dc.b $00,$00
 dc.b $00,$00
 dc.b $ff,$00
 dc.b $ff,$00
 dc.b $ff,$00
 dc.b $ff,$00
 dc.b $00,$ff
 dc.b $ff,$00
 dc.b $00,$ff
 dc.b $ff,$ff
 dc.b $00,$00
 dc.b $ff,$00
 dc.b $00,$ff
 dc.b $ff,$ff
 dc.b $ff,$ff
 dc.b $00,$ff
 dc.b $00,$ff
 dc.b $00,$ff
 dc.b $ff,$ff
 dc.b $ff,$ff
 dc.b $ff,$ff
 dc.b $ff,$ff
 dc.b $ff,$ff

charmap 
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0001,$0002,$0003,$0000
 dcr.w $0012,$0013,$0014,$0000
 dcr.w $0022,$0023,$0024,$0000
 dcr.w $0031,$0032,$0033,$0000
 dcr.w $0004,$0005,$0006,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0007,$0008,$0009,$000A
 dcr.w $0015,$0016,$0017,$0018
 dcr.w $0025,$0026,$0027,$0028
 dcr.w $0000,$0034,$0035,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0019,$001A,$0000
 dcr.w $0000,$0029,$002A,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$000B,$0000
 dcr.w $0000,$001B,$001C,$001D
 dcr.w $002B,$002C,$0000,$0000
 dcr.w $0000,$0036,$0000,$0000
 dcr.w $000C,$000D,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$000E,$000F
 dcr.w $0000,$0000,$001E,$001F
 dcr.w $0000,$0000,$002D,$002E
 dcr.w $0000,$0000,$0037,$0038
 dcr.w $0010,$0011,$0000,$0000
 dcr.w $0020,$0021,$0000,$0000
 dcr.w $002F,$0030,$0000,$0000
 dcr.w $0039,$003A,$0000,$0000

 dcr.w $003B,$003C,$003D,$003E
 dcr.w $004F,$0050,$0051,$0052
 dcr.w $006A,$006B,$006C,$006D
 dcr.w $0080,$0081,$0082,$0083
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0053,$0054,$0055,$0000
 dcr.w $006E,$006F,$0070,$0000
 dcr.w $0000,$0084,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0085,$0086,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0056,$0057,$0058,$0059
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0071,$0072,$0000,$0000
 dcr.w $0087,$0088,$0000,$0000
 dcr.w $0000,$0000,$003F,$0040
 dcr.w $0000,$005A,$005B,$005C
 dcr.w $0073,$0074,$005C,$0000
 dcr.w $0089,$005C,$0000,$0000
 dcr.w $0041,$0042,$0043,$0044
 dcr.w $005D,$005E,$005F,$0060
 dcr.w $0075,$0076,$0077,$0078
 dcr.w $008A,$008B,$008C,$008D
 dcr.w $0045,$0046,$0000,$0000
 dcr.w $0000,$0061,$0000,$0000
 dcr.w $0000,$0079,$0000,$0000
 dcr.w $008E,$008F,$0090,$0000
 dcr.w $0047,$0048,$0049,$004A
 dcr.w $0062,$0063,$0064,$0065
 dcr.w $0063,$007A,$007B,$0000
 dcr.w $0091,$0092,$0093,$0094
 dcr.w $004B,$004C,$004D,$004E
 dcr.w $0066,$0067,$0068,$0069
 dcr.w $007C,$007D,$007E,$007F
 dcr.w $0095,$008B,$0096,$0097

 dcr.w $0001,$0000,$0000,$0000
 dcr.w $009D,$009E,$009F,$00A0
 dcr.w $00B4,$00B5,$00B6,$00B7
 dcr.w $0000,$0000,$0000,$00CE
 dcr.w $0098,$0048,$0099,$009A
 dcr.w $00A1,$0067,$00A2,$00A3
 dcr.w $00B8,$00B9,$00BA,$00BB
 dcr.w $00CF,$008B,$0096,$00D0
 dcr.w $0041,$0048,$004D,$004E
 dcr.w $00A4,$0067,$00A2,$00A5
 dcr.w $00BC,$007D,$007E,$00BD
 dcr.w $008A,$008B,$0096,$0097
 dcr.w $004B,$004C,$004D,$004E
 dcr.w $0000,$0000,$0000,$00A6
 dcr.w $0000,$0000,$0000,$00BE
 dcr.w $0000,$0000,$0000,$00CE
 dcr.w $0041,$0048,$004D,$004E
 dcr.w $00A7,$0067,$0068,$00A8
 dcr.w $00BF,$00C0,$00BA,$00C1
 dcr.w $008A,$008B,$0096,$0097
 dcr.w $0041,$0048,$004D,$004E
 dcr.w $00A9,$0067,$00AA,$00AB
 dcr.w $00C2,$007D,$00C3,$00C4
 dcr.w $008A,$008B,$0096,$0097
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0066,$00AC,$0000,$0000
 dcr.w $00C5,$00C6,$0000,$0000
 dcr.w $00D1,$00D2,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$00AD,$0000,$0000
 dcr.w $0000,$00C7,$0000,$0000
 dcr.w $00D3,$00D4,$0000,$0000
 dcr.w $0000,$0000,$009B,$009C
 dcr.w $0000,$00AE,$00AF,$00B0
 dcr.w $0000,$00C8,$00C9,$00CA
 dcr.w $0000,$0000,$00D5,$00D6
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $00B1,$00B2,$00B3,$0000
 dcr.w $00CB,$00CC,$00CD,$0000
 dcr.w $0000,$0000,$0000,$0000

 dcr.w $00D7,$00D8,$0000,$0000
 dcr.w $00DC,$00DD,$00DE,$0000
 dcr.w $00EE,$00EF,$00B0,$0000
 dcr.w $00FC,$00B0,$0000,$0000
 dcr.w $0098,$0048,$004D,$00D9
 dcr.w $0062,$00DF,$00E0,$00E1
 dcr.w $0000,$00F0,$00F1,$0000
 dcr.w $0000,$00FD,$00FE,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0041,$0048,$0099,$00DA
 dcr.w $00E2,$00E3,$00E4,$00E5
 dcr.w $00F2,$007D,$00F3,$00B7
 dcr.w $00FF,$0000,$0000,$00CE
 dcr.w $00DB,$004C,$004D,$004E
 dcr.w $00E6,$00E3,$00E7,$00E8
 dcr.w $00F2,$007D,$007E,$00F4
 dcr.w $0100,$008B,$0096,$0097
 dcr.w $0041,$0048,$004D,$004E
 dcr.w $00E9,$0000,$0000,$00EA
 dcr.w $00F5,$0000,$00F6,$00F7
 dcr.w $008A,$008B,$0096,$0097
 dcr.w $00DB,$004C,$004D,$004E
 dcr.w $0012,$0000,$0000,$00A6
 dcr.w $00F8,$0000,$00F6,$00F9
 dcr.w $0101,$008B,$0096,$0097
 dcr.w $0041,$0048,$0099,$009A
 dcr.w $00E2,$00E3,$0055,$0000
 dcr.w $00BC,$007D,$00FA,$0000
 dcr.w $008A,$008B,$0093,$0102
 dcr.w $0041,$0048,$0099,$009A
 dcr.w $00E2,$00E3,$0055,$0000
 dcr.w $00F2,$007D,$00FA,$0000
 dcr.w $00FF,$0000,$0000,$0000
 dcr.w $0041,$0048,$004D,$004E
 dcr.w $00E9,$00EB,$00EC,$00ED
 dcr.w $00F5,$00FB,$00C3,$00C4
 dcr.w $008A,$008B,$0096,$0097

 dcr.w $0001,$0000,$0000,$0103
 dcr.w $00E6,$00E3,$00E4,$00E5
 dcr.w $00F2,$007D,$00F3,$00B7
 dcr.w $00FF,$0000,$0000,$00CE
 dcr.w $0000,$0104,$0105,$0000
 dcr.w $0000,$010A,$010B,$0000
 dcr.w $0000,$0111,$0112,$0000
 dcr.w $0000,$011A,$011B,$0000
 dcr.w $0000,$0000,$0000,$0106
 dcr.w $010C,$0000,$0000,$00A6
 dcr.w $00F5,$0000,$00F6,$00F9
 dcr.w $008A,$008B,$0096,$0097
 dcr.w $0001,$0000,$0000,$0107
 dcr.w $00E6,$00E3,$00E7,$010D
 dcr.w $00F2,$007D,$0113,$0114
 dcr.w $00FF,$0000,$0000,$00CE
 dcr.w $0001,$0000,$0000,$0000
 dcr.w $0012,$0000,$0000,$0000
 dcr.w $00F5,$0000,$0000,$0000
 dcr.w $008A,$008B,$0093,$011C
 dcr.w $0041,$0108,$0109,$004E
 dcr.w $00E9,$010E,$010F,$00A6
 dcr.w $00F8,$0015,$0116,$00BE
 dcr.w $00FF,$011D,$011E,$00CE
 dcr.w $00DB,$004C,$004D,$004E
 dcr.w $0012,$0000,$0000,$00A6
 dcr.w $00F8,$0000,$0000,$00BE
 dcr.w $00FF,$0000,$0000,$00CE
 dcr.w $0041,$0048,$004D,$004E
 dcr.w $00E9,$0000,$0000,$00A6
 dcr.w $00F5,$0000,$00F6,$00F9
 dcr.w $008A,$008B,$0096,$0097
 dcr.w $0041,$0048,$004D,$004E
 dcr.w $00A4,$0067,$0068,$0110
 dcr.w $00F2,$007D,$00F3,$0117
 dcr.w $00FF,$0000,$0000,$0000
 dcr.w $0041,$0048,$004D,$004E
 dcr.w $00E9,$0000,$0000,$00A6
 dcr.w $00F5,$0000,$0118,$0119
 dcr.w $008A,$008B,$011F,$0120

 dcr.w $0041,$0048,$004D,$004E
 dcr.w $00A4,$0067,$0068,$012B
 dcr.w $00F2,$0136,$0137,$0138
 dcr.w $00FF,$0000,$00D5,$00D6
 dcr.w $0041,$0048,$004D,$0121
 dcr.w $00A9,$0067,$00A2,$012C
 dcr.w $0139,$007D,$007E,$00BD
 dcr.w $008A,$008B,$0096,$0097

 dcr.w $004B,$004C,$004D,$004E
 dcr.w $0000,$0000,$0000,$00A6
 dcr.w $0000,$0000,$0000,$00BE
 dcr.w $0000,$0000,$0000,$00CE
 dcr.w $0001,$0000,$0000,$0122
 dcr.w $0012,$0000,$0000,$00A6
 dcr.w $00F5,$0000,$0000,$013A
 dcr.w $008A,$008B,$0146,$0147

 dcr.w $0001,$0000,$0000,$0123
 dcr.w $0012,$0000,$0000,$00A6
 dcr.w $00F5,$0000,$00F6,$00F9
 dcr.w $008A,$008B,$0096,$0097
 dcr.w $0001,$0124,$0125,$0126
 dcr.w $0012,$012D,$012E,$00A6
 dcr.w $00F5,$013B,$013C,$00F9
 dcr.w $008A,$0148,$0149,$0097

 dcr.w $0001,$0000,$0000,$0127
 dcr.w $012F,$0067,$0068,$0069
 dcr.w $013D,$013E,$013F,$0140
 dcr.w $00FF,$0000,$0000,$00CE
 dcr.w $0001,$0000,$0000,$0128
 dcr.w $0130,$0131,$0132,$0133
 dcr.w $0141,$0142,$0143,$0144
 dcr.w $0000,$014A,$014B,$0000

 dcr.w $004B,$004C,$0129,$012A
 dcr.w $0000,$0134,$0135,$0000
 dcr.w $0145,$0076,$0000,$0000
 dcr.w $014C,$008B,$0093,$014D
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000
 dcr.w $0000,$0000,$0000,$0000

logomap	
 dc.b $00,$00,$00,$00,$00,$00,$00,$01
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$02,$03
 dc.b $04,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$05,$00,$00,$06,$00,$00
 dc.b $00,$00,$00,$00,$00,$07,$08,$00
 dc.b $00,$00,$00,$00,$00,$0B,$0C,$0D
 dc.b $0E,$0F,$00,$00,$10,$11,$00,$00
 dc.b $00,$12,$13,$00,$14,$15,$16,$17
 dc.b $00,$18,$19,$1A,$1B,$1C,$1D,$1E
 dc.b $22,$23,$24,$25,$26,$27,$28,$29
 dc.b $2A,$2B,$2C,$2D,$2E,$2F,$30,$31
 dc.b $32,$33,$34,$35,$36,$37,$38,$39
 dc.b $3A,$3B,$3C,$3D,$3E,$3F,$40,$41
 dc.b $00,$4A,$4B,$4C,$4D,$4E,$4F,$50
 dc.b $51,$52,$53,$54,$55,$56,$57,$58
 dc.b $59,$5A,$5B,$5C,$5D,$5E,$5F,$60
 dc.b $61,$62,$63,$64,$65,$66,$67,$68
 dc.b $00,$71,$72,$73,$74,$75,$76,$77
 dc.b $78,$79,$7A,$7B,$7C,$7D,$7E,$7F
 dc.b $80,$81,$82,$83,$7C,$72,$84,$85
 dc.b $86,$87,$88,$89,$8A,$8B,$8C,$8D
 dc.b $00,$00,$96,$97,$98,$99,$00,$00
 dc.b $00,$00,$00,$00,$00,$9A,$9B,$00
 dc.b $00,$00,$00,$00,$00,$00,$9C,$9D
 dc.b $9E,$00,$00,$00,$9F,$00,$A0,$A1
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$A5
 dc.b $A6,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00

logomapr
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$09,$0A,$00,$00,$00
 dc.b $00,$00,$1F,$20,$21,$00,$00,$00
 dc.b $42,$43,$44,$45,$46,$47,$48,$49
 dc.b $69,$6A,$6B,$6C,$6D,$6E,$6F,$70
 dc.b $8E,$8F,$90,$91,$92,$93,$94,$95
 dc.b $00,$00,$A2,$A3,$00,$00,$A4,$00
 dc.b $00,$00,$A7,$A8,$A9,$00,$00,$00
 dc.b $00,$00,$00,$AA,$AB,$AC,$AD,$00
 dc.b $00,$00,$00,$00,$00,$AE,$AF,$00
 dc.b $00,$00,$00,$00,$00,$B0,$00,$00
 dc.b $00,$00,$00,$00,$A5,$B1,$00,$00 

eyemap
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$01,$02,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$03,$04,$05
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$06,$07,$08,$09,$00,$00,$00
 dc.b $00,$00,$00,$00,$0A,$0B,$0C,$0D
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$0E,$0F,$0F,$10,$05,$00,$00
 dc.b $00,$00,$00,$00,$11,$0F,$0F,$12
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$13,$0F,$0F,$0C,$14,$00,$00
 dc.b $00,$00,$00,$15,$16,$0F,$0F,$17
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$13,$0F,$0F,$0F,$18,$00,$00
 dc.b $00,$00,$00,$19,$0F,$0F,$0F,$17
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$1A,$0F,$0F,$0F,$1B,$1C,$00
 dc.b $00,$00,$00,$1D,$0F,$0F,$0F,$1E
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$1F,$20,$0F,$0F,$21,$22,$00
 dc.b $00,$00,$23,$24,$0F,$0F,$25,$26
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$27,$0F,$0F,$0F,$28,$00
 dc.b $00,$00,$29,$0F,$0F,$0F,$2A,$2B
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$2C,$0F,$0F,$0F,$2D,$00
 dc.b $00,$00,$2E,$0F,$0F,$0F,$2F,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$30,$0F,$0F,$0F,$31,$00
 dc.b $00,$00,$32,$0F,$0F,$0F,$33,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$34,$35,$36,$37,$38,$00
 dc.b $00,$00,$39,$3A,$3B,$3C,$3D,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$3E,$3F,$40,$41,$00
 dc.b $00,$00,$42,$43,$44,$45,$46,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$47,$48,$49,$4A,$00
 dc.b $00,$00,$4B,$4C,$4D,$4E,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$4F,$50,$51,$52,$53,$00
 dc.b $00,$00,$54,$55,$56,$57,$00,$58
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$59,$5A,$00,$5B,$5C,$5D,$00
 dc.b $00,$00,$5E,$5F,$60,$61,$62,$63
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $64,$65,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$66,$67,$68,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$69
 dc.b $6A,$6B,$00,$00,$00,$00,$00,$00
 dc.b $6C,$6D,$6E,$6F,$70,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$71,$72
 dc.b $00,$73,$74,$75,$76,$77,$78,$79
 dc.b $7A,$7B,$7C,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$7D,$7E
 dc.b $00,$00,$00,$00,$00,$00,$7F,$80
 dc.b $81,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$82,$83,$84
 dc.b $85,$86,$00,$00,$87,$80,$88,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$89,$8A,$8B
 dc.b $8C,$8D,$8E,$8F,$90,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$91,$92,$93
 dc.b $94,$95,$96,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00
 dc.b $00,$00,$00,$00,$00,$00,$00,$00 

sinusdata
 dc.b  0,0,1,1,2,4,5,7,10,12,15,18,21,25,29,33,37,42,47,52,57,62,67
 dc.b  73,79,85,90,97,103,109,115,121,128,134,140,146,152,158,165
 dc.b  170,176,182,188,193,198,203,208,213,218,222,226,230,234,237
 dc.b  240,243,245,248,250,251,253,254,254,254,254,253
 dc.b  251,250,248,245,243,240,237,234,230,226,222,218,213,208,203
 dc.b  198,193,188,182,176,170,165,158,152,146,140,134,128,121,115
 dc.b  109,103,97,90,85,79,73,67,62,57,52,47,42,37,33,29,25,21,18
 dc.b  15,12,10,7,5,4,2,1,1,0
 dc.b  0,0,2,4,6,10,14,19,24,30,37,45,52,61,69,78,88,97,107,117,127
 dc.b  137,147,157,166,176,185,193,202,209,217,224,230,235,240,244
 dc.b  248,250,252,254,254,254,252,250,248,244,240,235,230,224,217
 dc.b  209,202,193,185,176,166,157,147,137,127,117,107,97,88,78,69
 dc.b  61,52,45,37,30,24,19,14,10,6,4,2,0
 dc.b  0,0,0,1,2,3,4,5,7,9,11,13,16,18,21,24,27,31,34,38,42,46,50
 dc.b  55,59,64,68,73,78,83,88,93,98,103,108,114,119,124,130,135,140
 dc.b  146,151,156,161,166,171,176,181,186,191,195,199,204,208,212
 dc.b  216,220,223,227,230,233,236,238,241,243,245,247,249,250,251
 dc.b  252,253,254,254,254,254,254,253,252,251,250,249,247,245,243
 dc.b  241,238,236,233,230,227,223,220,216,212,208,204,199,195,190
 dc.b  186,181,176,171,166,161,156,151,146,140,135,130,124,119,114
 dc.b  108,103,98,93,88,83,78,73,68,64,59,55,50,46,42,38,34,31,27
 dc.b  24,21,18,16,13,11,9,7,5,4,3,2,1,0,0
 dc.b  0,0,0,1,1,2,3,4,5,7,8,10,12,14,16,18,20,23,26,28,31,34,38,41
 dc.b  44,48,51,55,59,63,67,71,75,79,83,88,92,97,101,105,110,114,119
 dc.b  124,128,133,137,142,146,151,155,160,164,168,173,177,181,185
 dc.b  189,193,197,201,204,208,211,215,218,221,224,227,230,232,235
 dc.b  237,239,241,243,245,247,248,249,251,252,252,253,253,254,254
 dc.b  254,254,253,253,252,252,251,249,248,247,245,243,241,239,237
 dc.b  235,232,230,227,224,221,218,215,211,208,204,201,197,193,189
 dc.b  185,181,177,173,168,164,160,155,151,146,142,137,133,128,124
 dc.b  119,114,110,105,101,97,92,88,83,79,75,71,67,63,59,55,51,48
 dc.b  44,41,38,34,31,28,26,23,20,18,16,14,12,10,8,7,5,4,3,2,1,1,0
 dc.b  0

 dc.b  0,0,1,2,3,5,7,9,12,15,18,22,26,30,34,39,44,49,55,60,66,71,77
 dc.b  83,89,95,101,107,113,119,124,130,135,141,146,151,156,160,164
 dc.b  168,172,175,178,181,183,185,187,188,189,190,190,190,189,188
 dc.b  187,185,183,181,178,175,172,168,164,160,156,151,146,141,135
 dc.b  130,124,119,113,107,101,95,89,83,77,71,66,60,55,49,44,39,34
 dc.b  30,26,22,18,15,12,9,7,5,3,2,1,0



 dc.b 255

sinusdatah
 dc.b  0,0,0,1,2,2,4,5,6,8,10,12,14,16,19,21,24,27,30,34,37,41,45
 dc.b  48,52,56,61,65,69,74,78,83,88,93,97,102,107,112,117,122,127
 dc.b  132,137,142,147,152,157,161,166,171,176,180,185,189,193,198
 dc.b  202,206,209,213,217,220,224,227,230,233,235,238,240,242,244
 dc.b  246,248,249,250,252,252,253,254,254,254,254,254,253,252,252
 dc.b  250,249,248,246,244,242,240,238,235,233,230,227,224,220,217
 dc.b  213,209,206,202,198,193,189,185,180,176,171,166,161,157,152
 dc.b  147,142,137,132,127,122,117,112,107,102,97,93,88,83,78,74,69
 dc.b  65,61,56,52,48,45,41,37,34,30,27,24,21,19,16,14,12,10,8,6,5
 dc.b  4,2,2,1,0
 dc.b  0,0,0,1,1,2,3,4,5,7,8,10,12,14,16,18,20,23,26,28,31,34,38,41
 dc.b  44,48,51,55,59,63,67,71,75,79,83,88,92,97,101,105,110,114,119
 dc.b  124,128,133,137,142,146,151,155,160,164,168,173,177,181,185
 dc.b  189,193,197,201,204,208,211,215,218,221,224,227,230,232,235
 dc.b  237,239,241,243,245,247,248,249,251,252,252,253,253,254,254
 dc.b  254,254,253,253,252,252,251,249,248,247,245,243,241,239,237
 dc.b  235,232,230,227,224,221,218,215,211,208,204,201,197,193,189
 dc.b  185,181,177,173,168,164,160,155,151,146,142,137,133,128,124
 dc.b  119,114,110,105,101,97,92,88,83,79,75,71,67,63,59,55,51,48
 dc.b  44,41,38,34,31,28,26,23,20,18,16,14,12,10,8,7,5,4,3,2,1,1,0
 dc.b  0
 dc.b  0,0,2,4,6,10,14,19,24,30,37,45,52,61,69,78,88,97,107,117,127
 dc.b  137,147,157,166,176,185,193,202,209,217,224,230,235,240,244
 dc.b  248,250,252,254,254,254,252,250,248,244,240,235,230,224,217
 dc.b  209,202,193,185,176,166,157,147,137,127,117,107,97,88,78,69
 dc.b  61,52,45,37,30,24,19,14,10,6,4,2,0

 dc.b  0,0,0,1,1,2,3,4,6,7,9,10,12,14,17,19,22,24,27,30,33,36,40,43
 dc.b  47,50,54,58,62,66,70,75,79,83,88,92,97,101,106,111,115,120
 dc.b  125,129,134,139,143,148,153,157,162,166,171,175,179,184,188
 dc.b  192,196,200,204,207,211,214,218,221,224,227,230,232,235,237
 dc.b  240,242,244,245,247,248,250,251,252,253,253,254,254,254,254
 dc.b  254,253,253,252,251,250,248,247,245,244,242,240,237,235,232
 dc.b  230,227,224,221,218,214,211,207,204,200,196,192,188,184,179
 dc.b  175,171,166,162,157,153,148,143,139,134,129,125,120,115,111
 dc.b  106,101,97,92,88,83,79,75,70,66,62,58,54,50,47,43,40,36,33
 dc.b  30,27,24,22,19,17,14,12,10,9,7,6,4,3,2,1,1,0,0
 dc.b  255


;	HDMA SCREEN SETUP ROUTINE

HDMA:   ldx	#$00			; HDMA LIST TABLE for
hdmlp1:	lda	#$01			; $2121 at $001000
	sta	HDMA1,x			; is TRANSFERRED
	inx				;
	stz	HDMA1,X
	INX
	STZ	HDMA1,X
	inx
	cpx	#$2ff			;
	bmi	hdmlp1			;

	LDX	#$00
HDMAS	LDA	#$7F
	STA	HDMA2,X
	STA	HDMA3,X
	INX
	STZ	HDMA2,X
	STZ	HDMA3,X
	INX
	STZ	HDMA2,X
	STZ	HDMA3,X
	INX
	CPX	#$09
	bmi HDMAS
	stz	HDMA2,x
	stz	HDMA3,x
	

	LDA #$02		;
	STA $4300		; 1 BYTE for this HDMA CHANNEL
	sta $4310
	sta $4320
	sta $4330

	LDA #$0d		; USE $210d	    - LIST 1
	sta $4301
	lda #$0f		; USE $210f, L&S SH - LIST 3
	sta $4321
	inc A			; INCREASE to $2110 - LIST 4
	sta $4331
	INC A			; INCREASE TO $2111 - LIST 2
	sta $4311

	ldx #HDMA1
	STx $4302		;HDMA LIST 1 AT LOCATION HDMA1
	stx $4312
	ldx #HDMA2
	stx $4322
	ldx #HDMA3
	stx $4332

	STZ $4304		;
	stz $4314
	stz $4324
	stz $4334

	lda	#%00001111		;ENABLE 2 HDMAs
	sta	$420c
	rts

init_musax 
	ldx	#music		; CRUNCHED FILE
	stx	$65
;	lda	#^music		; CRUNCHED FILE BANK
	phk
	pla
	sta	$67
	ldx	#UnpackBuffr		; LOW WORD UNPACK BUFFER
	stx	$68
	lda	#^UnpackBuffr		; UNPACK BUFFER BANK
	pha
	plb
	jsr	UNPACK				;Requires A[8] XY[16]
	sep	#$20
	phk
	plb

	lda #^UnpackBuffr	;music	;unpackbuffr
	sta $a5
	lda #>UnpackBuffr	;music	;unpackbuffr
	sta $a4
	lda #<UnpackBuffr	;music	;unpackbuffr
	sta $a3

	lda	#$e5 
	sta	$2140
	php	 
	rep	#$30 
	ldy	#$0000 
	lda	#$bbaa 
L00f7b6	cmp	$2140
	bne	L00f7b6 
	sep	#$20 
	lda	#$cc 
	bra	L00f7f5 
L00f7c1	lda	[$a3],y 
	iny	 
	bpl	L00f7cb 
	ldy	#$0000 
	inc	$a5 
L00f7cb	xba	 
	lda	#$00 
	bra	L00f7e2 
L00f7d0	xba	 
	lda	[$a3],y 
	iny	 
	bpl	L00f7db 
	ldy	#$0000 
	inc	$a5 
L00f7db	xba	 
L00f7dc	cmp	$2140
	bne	L00f7dc 
	inc	a 
L00f7e2	rep	#$20 
	sta	$2140
	sep	#$20 
	dex	 
	bne	L00f7d0 
L00f7ec	cmp	$2140
	bne	L00f7ec 
L00f7f1	adc	#$03 
	beq	L00f7f1 
L00f7f5	pha	 
	rep	#$20 
	lda	[$a3],y 
	iny	 
	iny	 
	tax	 
	lda	[$a3],y 
	iny	 
	iny	 
	sta	$2142
	sep	#$20 
	cpx	#$0001 
	lda	#$00 
	rol	a 
	sta	$2141
	adc	#$7f 
	pla	 
	sta	$2140
L00f815	cmp	$2140
	bne	L00f815 
	bvs	L00f7c1 
	plp	 
	sep	#$30 
	rts	 

	.include RNC_11.s
music	.bin	ram:mufnlo.rnc
	
moredata
	.bin	ram:file2.rnc

	
	ds.b 18,0
	dc.b	"PLASMA BAR TYPE (0-4)"
chartype	ds.b 3,0



scrolltext	dc.b	"THE WHITE KNIGHT HERE WITH A NEW INTRO "
		dc.b	"FOR ANTHROX ON THE SUPER NES... "
		DC.B	"NOW TESTING   1 2 3 4 5 6 7 8 9 0 "
		DC.B	" ! $ &, THATS ALL: ; FOLKS... "
		DC.B	"SCROLL NOW  REPEATS    "
	ds.b 1978,0



	     ;123456789012210987654321
numbers	dc.b "        INTRO BY        "
	dc.b "    THE WHITE KNIGHT    "
	dc.b " MUSIC AND MUSIC DRIVER "
	dc.b "DOCTOR AND HIS ASSISTANT"

	DC.B "FIRST LINE TO COME DOWN!"
	DC.B " SECOND LINE TO GO DOWN "
	DC.B 0



	org	$fffC	; fill until the end of the 32K
	dc.b	$08,$80,$00,$00
